Skip to main content
`Ctrl`+`K`

# MatDenseRestoreArrayWrite

returns access to the array where the data for a `MATDENSE` matrix is stored obtained by `MatDenseGetArrayWrite()`

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatDenseRestoreArrayWrite(Mat A, PetscScalar *array[]) PeNS

Not Collective

## Input Parameters

- A - a dense matrix

- array - pointer to the data (may be `NULL`)

## See Also

Matrices, `Mat`, `MATDENSE`, `MatDenseGetArrayWrite()`, `MatDenseGetArray()`, `MatDenseRestoreArray()`, `MatDenseGetArrayRead()`, `MatDenseRestoreArrayRead()`

## Level

intermediate

## Location

src/mat/impls/dense/seq/dense.c

## Examples

src/ksp/ksp/tutorials/ex77.c

## Implementations

MatDenseRestoreArrayWrite_MPIDense() in src/mat/impls/dense/mpi/mpidense.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages